import JSEncrypt from './jsencrypt'

// 密钥对生成 http://web.chacuo.net/netrsakeypair

const publicKey = `MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAu5EcZCw8a2QAwGwuDk/d
+AQDKwqye2OG73gKvoUCkH2H47XtUHw9MOGYtG44BXrh4KYM0YqZrZIPu4FZzFTs
0wAyhzAHRXray0l/kAfCHtI+A9bwqOwbtBFOrL2lOCuVHptEE+RPmO4v7UCGcYIK
umb0/cOtvXAa0yM5V9kxrGXpavsLPsoB5kWQwnelW/mYyIEm4Rtvh9uKsTyfkb80
cxJtQNlq1sOrh0dR0aSIdDGnqCrtsaNw19UBQtOe5JsdXSeZYff9vuT9lwtjvkta
k4hI3IwtmR1STTVp8ZJ+6Oumu+QCDQvNGHzX5oBumiGPmDqPd2wyTnFsDPypc685
MwIDAQAB`

const privateKey = `MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQC7kRxkLDxrZADA
bC4OT934BAMrCrJ7Y4bveAq+hQKQfYfjte1QfD0w4Zi0bjgFeuHgpgzRipmtkg+7
gVnMVOzTADKHMAdFetrLSX+QB8Ie0j4D1vCo7Bu0EU6svaU4K5Uem0QT5E+Y7i/t
QIZxggq6ZvT9w629cBrTIzlX2TGsZelq+ws+ygHmRZDCd6Vb+ZjIgSbhG2+H24qx
PJ+RvzRzEm1A2WrWw6uHR1HRpIh0MaeoKu2xo3DX1QFC057kmx1dJ5lh9/2+5P2X
C2O+S1qTiEjcjC2ZHVJNNWnxkn7o66a75AINC80YfNfmgG6aIY+YOo93bDJOcWwM
/KlzrzkzAgMBAAECggEAQaVK84BL8SYB4Va7U8T+IeR9m13WE7tEqaEw2XdB64IT
wk2U7jtdSzNZt6RvtPNKBM7444mHuajKGsztucbrT/nctVXI5bdWxhlGLQmaFiFt
FPjwJ57jH0WDbI+/OIaAXULoM7IPba3HVljj9OwXhx+rlPkcYJXQvZ6xXh6k9Pno
ezxXUT9Dt7jW9/NL6iZgy16f4DcvWQ3zazpzVfXx9+qa43QvFWvVqeqALP3Ndnw8
6xrSQrb3I2iMc1Uj9ts4bB8BHhDomeU2GDVheNIrmpRNMl4BCoCLXDrvQC+PMJ6Y
sbUTdf0eoCo9TbJFNX0PGvhSO0+ToDIqnKX9gnr6yQKBgQDnBJ9YlZRvfnzRKGfB
//XyxNRDDfgD2axQS/raycynoNbHWBWd2/anEx5750EngvEapIm8xryMRrp3BPMR
DlYZrkbCZi6zTjR7bbmXXMcRkHnXT4r8/UsP3GUPJ45DEPf/DVBk8bGe/L6UHxh6
Tm4cAQT7Dbo34Lo4H8L8LOCMzwKBgQDP2ZvVgp6CENslLjL61lMPRtC2yrjnpJ29
NjFBWC2R/YUoGgo1oTOCCkjMuX34ZN9So2cBMsPfCbaHHjIU9py0C6eroibm4ALu
vf1vlgiEHL0r7qCyy9F61B8IzI1dZxgUvnBgY+dLAx+gzn+BS56veBlLpbASBoX2
bnxAILtOXQKBgC5isDgSOK62YAuDKGo8ob6wJMqd+GmVgFLTHrhlgpE560Y1eomq
y/i6Dwnj4iIz2YN2/C0KXntwDCqvtLp8/W7EnnKUH9Zi4ojR/EzXFSWCs+Q2lXq8
xSCXKTeEwrzWoGT24GiUWwzIRN/q6nhMXTGERuK92+EyX1G7luQZgrDjAoGBALpM
vGcV2umOHj8nN76pmG1a9fzBnBbU8CYGiwOc+8udR1r4bCpBwR9QBIyrvoOENr+l
gtAKJpKl7BsUL6OmoDKpN7KZdvD93OMNHDqGaj+wWscj7poUIkFMHD0Qy6zqmSUO
xT9AjLIprJHARX0owKVaqqGpczXU7wJBadE5BWppAoGBAOXXoxO6sWbpWTI1yBhN
sG6576FPksdV8cJKQAT9zaQFXl+K0aXx0aADZrpm0jA7zL1jrUEvtWIeiDJ47Sdq
tsob57LKyjiUqJT+rG0F1UMhXX4Bhx0/itmTzoXMFg2x4gCLLDsse4OYSprsZFxY
EZ1+TtYg/zZVCOPJk39N8mIX`

// 加密
export function encrypt(txt) {
  const encryptor = new JSEncrypt()
  encryptor.setPublicKey(publicKey) // 设置公钥
  return encryptor.encrypt(txt) // 对需要加密的数据进行加密
}

// 解密
export function decrypt(txt) {
  const encryptor = new JSEncrypt()
  encryptor.setPrivateKey(privateKey)
  return encryptor.decrypt(txt)
}

