// 统计区
export const statisticalArea = [
  {
    label: '会员统计',
    icon: require('../../../assets/images/dashboard/member.png'),
    children: [
      { label: '会员总数', field: 'memberTotal' },
      { label: '今日新增会员数', field: 'todayMember' },
      { label: '普通会员数量', field: 'normalMemberTotal' },
      { label: '团长数量', field: 'headquarterTotal' },
      { label: '合伙人数量', field: 'partnerTotal' }
    ],
    // styles: 'margin: 0 0 16px; flex: 0 0 32%',
    itemStyles: 'width: 32%',
    itemData: 'memberStatistics'
  },
  {
    label: '订单统计',
    icon: require('../../../assets/images/dashboard/order.png'),
    children: [
      { label: '订单总量', field: 'orderTotal' },
      { label: '今日订单量', field: 'todayOrderTotal' },
      { label: '今日完成订单', field: 'todayFinishOrderTotal' }
    ],
    // styles: 'margin: 0 16px 16px;  flex: 0 0 32%',
    itemStyles: 'width: 50%',
    // filter: ['date', 'scourceChannel'],
    itemData: 'orderStatistics'
  },
  {
    label: '平台交易数据统计',
    icon: require('../../../assets/images/dashboard/admin-account.png'),
    children: [
      { label: '总交易额', field: 'totalTransactionAmount' },
      { label: '今日交易额', field: 'todayTransactionAmount' },
      { label: '总支出', field: 'totalExpense' },
      { label: '总收入', field: 'totalIncome' }
    ],
    // styles: 'margin: 0 0 16px;  flex: 0 0 32%',
    itemStyles: 'width: 50%',
    itemData: 'platformTransactionDataStatistics'
  },

  {
    label: '平台代金券统计',
    icon: require('../../../assets/images/dashboard/admin-voucher.png'),
    children: [
      { label: '总库存', field: 'voucherTotal' },
      { label: '新增库存', field: 'voucherStock' },
      { label: '今日使用量', field: 'todayVoucherUseTotal' },
      { label: '今日实收金额', field: 'todayRealAmount' },
      { label: '今日充值量', field: 'todayRechargeTotal' }
    ],
    // styles: 'margin: 0 0 16px;  flex: 0 0 32%',
    itemStyles: 'width: 32%',
    itemData: 'voucherStatistics'
  },
  {
    label: '佣金统计',
    icon: require('../../../assets/images/dashboard/commission.png'),
    children: [
      { label: '累计收入佣金', field: 'totalIncome' },
      { label: '今日总收入佣金', field: 'todayTotalIncome' },
      { label: '团长佣金分配总额', field: 'headquarterCommission' },
      { label: '合伙人佣金分配总额', field: 'partnerCommission' },
      { label: '加盟商佣金分配总额', field: 'joinCommission' },
      { label: '代理商佣金分配总额', field: 'agentCommission' }
    ],
    // styles: 'margin: 0 16px 16px;  flex: 0 0 32%',
    itemStyles: 'width: 33%',
    // filter: ['scourceChannel'],
    itemData: 'commissionStatistics'
  },
  {
    label: '消费金统计',
    icon: require('../../../assets/images/dashboard/consumption-gold.png'),
    children: [
      { label: '消费金总收入', field: 'totalIncome' },
      { label: '消费金总支付', field: 'totalConsumption' },
      { label: '今日消费金支出订单金额', field: 'todayConsumptionOrderAmount' },
      { label: '今日消费金支付订单数', field: 'todayConsumptionOrderTotal' }
    ],
    // styles: 'margin: 0 0 16px;  flex: 0 0 32%',
    itemStyles: 'width: 50%',
    itemData: 'consumptionStatistics'
  }
]

// 消费画像
export const consumerProfile = [
  { label: '会员总消费金额', field: 'memberConsumptionTotal' },
  { label: '会员总下单次数', field: 'memberOrderTotal', itemStyles: 'margin: 0 16px' },
  { label: '会员总售后次数', field: 'memberAfterSaleTotal' }
]

// 财务统计
export const financialStatistics = [
  { label: '应收金额', field: 'receivableAmount' },
  { label: '优免金额', field: 'discountAmount', itemStyles: 'margin: 0 16px' },
  { label: '实收金额', field: 'realAmount', itemStyles: 'margin: 0 16px' },
  { label: '客流量', field: 'customerFlow', itemStyles: 'margin: 0 16px' },
  { label: '盈亏达成率', field: 'profitLossRate' }
]

// 网点统计的数据统计
export const sitedatastatistics = [
  { label: '师傅数量', field: 'masterWorkerQuantity', itemStyles: 'margin: 0  51px 0 16px' },
  { label: '会员', field: 'memberTotal', itemStyles: 'margin-right: 51px' },
  { label: '团长总量', field: 'headquarterTotal', itemStyles: 'margin-right: 51px' },
  { label: '合伙人总量', field: 'partnerTotal', itemStyles: 'margin-right: 51px' }
]

// 搜索访问类型
export const searchType = [
  { key: 'agents', value: 1 },
  { key: 'franchise', value: 2 },
  { key: 'shop', value: 3 }
]
